%define name anycast-healthchecker
%define version 0.9.2.dev2_el7
%define unmangled_version 0.9.2.dev2
%define release 1

Summary: A healthchecker for Anycasted Services
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: ASL 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Pavlos Parissis <pavlos.parissis@gmail.com>
Packager: Mischa Salle <msalle@nikhef.nl>
Requires: python36-docopt python3-json-logger
Url: https://github.com/unixsurfer/anycast_healthchecker
BuildRequires: python3-devel python3-setuptools python36-docutils python36-pbr

%description
Anycast-healthchecker monitors a service by doing periodic health
checks and based on the result instructs Bird daemon to either
advertise or withdraw the route to reach the monitored service. As
a result Bird will only advertise routes for healthy services.

Bird must be configured in a certain way to interface properly
with anycast-healthchecker.

Anycast-healthchecker is a Python program, which uses the daemon
library to implement a well-behaved Unix daemon process and
threading to run multiple service checks in parallel.

%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS LICENSE.md README.html ChangeLog TODO.html *.png anycast-healthchecker.conf

%changelog
* Mon Dec 27 2021 Mischa Salle <msalle@nikhef.nl> 0.9.2.dev1-1
- include doc files
- add description
- add changelog
